import { useState, useEffect } from 'react';
export function useTriggerTimer(time) {
    const [status, setStatus] = useState(false);
    const trigger = () => {
        if (typeof time === 'number') {
            setStatus(true);
        }
    };
    useEffect(() => {
        let timer;
        if (status && typeof time === 'number') {
            timer = setTimeout(() => {
                setStatus(false);
            }, time);
        }
        return () => clearTimeout(timer);
    }, [status, time]);
    return [status, trigger];
}
